<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <input type="text" id="put"/>
    <p id="pp">abc</p>
</body>
<script type="text/javascript">
    document.getElementById("put").addEventListener('keyup',function(e){
       var str = document.getElementById("put").value;
       var reg = RegExp('('+str+')','g');
       var one = document.getElementsByTagName("p")[0];
       var newstr = one.innerText.replace(reg,'<font style="color:red">$1</font>');
       one.innerHTML = newstr;
     })
   </script>
</html>